<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="productPriceRule">
            <h2><span>Product Price Rule</span> {{ productPriceRule.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Product Id</span></dt>
                <dd>
                    <span>{{ productPriceRule.productId }}</span>
                </dd>
                <dt><span>Used Quota</span></dt>
                <dd>
                    <span>{{ productPriceRule.usedQuota }}</span>
                </dd>
                <dt><span>Price Sale</span></dt>
                <dd>
                    <span>{{ productPriceRule.priceSale }}</span>
                </dd>
                <dt><span>Price Base</span></dt>
                <dd>
                    <span>{{ productPriceRule.priceBase }}</span>
                </dd>
                <dt><span>Status</span></dt>
                <dd>
                    <span>{{ productPriceRule.status }}</span>
                </dd>
                <dt><span>Active Start Date</span></dt>
                <dd>
                    <span>{{ productPriceRule.activeStartDate }}</span>
                </dd>
                <dt><span>Active End Date</span></dt>
                <dd>
                    <span>{{ productPriceRule.activeEndDate }}</span>
                </dd>
                <dt><span>Active</span></dt>
                <dd>
                    <span>{{ productPriceRule.active }}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/product-price-rule', productPriceRule.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
